/*
 * Emergency RAVE controller
 * REST API for the Emergency RAVE controller. See https://emergency-rave.gitlab.io/about-erave/ for more information.
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
/**
 * device runtime paramters for the controller
 */
@Schema(description = "device runtime paramters for the controller")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-18T14:46:04.929Z[GMT]")
public class RuntimeParameters {
  @SerializedName("oxygenPercent")
  private Integer oxygenPercent = null;

  @SerializedName("respirationsPerMinute")
  private Integer respirationsPerMinute = null;

  @SerializedName("tankMaxPressure")
  private Integer tankMaxPressure = null;

  @SerializedName("tankMinPressure")
  private Integer tankMinPressure = null;

  @SerializedName("lungsMinPressure")
  private Integer lungsMinPressure = null;

  @SerializedName("lungsMaxPressure")
  private Integer lungsMaxPressure = null;

  @SerializedName("lungsCriticalPressure")
  private Integer lungsCriticalPressure = null;

  @SerializedName("operationsMode")
  private String operationsMode = null;

  @SerializedName("inspirationTimePercent")
  private Integer inspirationTimePercent = null;

  @SerializedName("expirationTimePercent")
  private Integer expirationTimePercent = null;

  @SerializedName("pressureUnit")
  private String pressureUnit = null;

  @SerializedName("temperatureUnit")
  private String temperatureUnit = null;

  public RuntimeParameters oxygenPercent(Integer oxygenPercent) {
    this.oxygenPercent = oxygenPercent;
    return this;
  }

   /**
   * percentage of oxygen allowed to flow inside the tank, when oxygen and air are mixed. Allowed values: 0-100
   * @return oxygenPercent
  **/
  @Schema(description = "percentage of oxygen allowed to flow inside the tank, when oxygen and air are mixed. Allowed values: 0-100")
  public Integer getOxygenPercent() {
    return oxygenPercent;
  }

  public void setOxygenPercent(Integer oxygenPercent) {
    this.oxygenPercent = oxygenPercent;
  }

  public RuntimeParameters respirationsPerMinute(Integer respirationsPerMinute) {
    this.respirationsPerMinute = respirationsPerMinute;
    return this;
  }

   /**
   * frequency at which the patient breaths, in breathing cycles per minute. Allowed values: 6-17
   * @return respirationsPerMinute
  **/
  @Schema(description = "frequency at which the patient breaths, in breathing cycles per minute. Allowed values: 6-17")
  public Integer getRespirationsPerMinute() {
    return respirationsPerMinute;
  }

  public void setRespirationsPerMinute(Integer respirationsPerMinute) {
    this.respirationsPerMinute = respirationsPerMinute;
  }

  public RuntimeParameters tankMaxPressure(Integer tankMaxPressure) {
    this.tankMaxPressure = tankMaxPressure;
    return this;
  }

   /**
   * Upper end of the pressure range in the tank. If the pressure is higher than the limit, the compressor turns off.  Allowed values: 0-14500
   * @return tankMaxPressure
  **/
  @Schema(description = "Upper end of the pressure range in the tank. If the pressure is higher than the limit, the compressor turns off.  Allowed values: 0-14500")
  public Integer getTankMaxPressure() {
    return tankMaxPressure;
  }

  public void setTankMaxPressure(Integer tankMaxPressure) {
    this.tankMaxPressure = tankMaxPressure;
  }

  public RuntimeParameters tankMinPressure(Integer tankMinPressure) {
    this.tankMinPressure = tankMinPressure;
    return this;
  }

   /**
   * Lower end of pressure range in the tank. If the pressure is lower than the limit, the compressor turns on to refill the tank. Allowed values: 0-14500
   * @return tankMinPressure
  **/
  @Schema(description = "Lower end of pressure range in the tank. If the pressure is lower than the limit, the compressor turns on to refill the tank. Allowed values: 0-14500")
  public Integer getTankMinPressure() {
    return tankMinPressure;
  }

  public void setTankMinPressure(Integer tankMinPressure) {
    this.tankMinPressure = tankMinPressure;
  }

  public RuntimeParameters lungsMinPressure(Integer lungsMinPressure) {
    this.lungsMinPressure = lungsMinPressure;
    return this;
  }

   /**
   * Lower end of lung pressure range If the pressure is lower than the limit, the inspiration valve turns on after each period passes. Allowed values: 0-1600
   * @return lungsMinPressure
  **/
  @Schema(description = "Lower end of lung pressure range If the pressure is lower than the limit, the inspiration valve turns on after each period passes. Allowed values: 0-1600")
  public Integer getLungsMinPressure() {
    return lungsMinPressure;
  }

  public void setLungsMinPressure(Integer lungsMinPressure) {
    this.lungsMinPressure = lungsMinPressure;
  }

  public RuntimeParameters lungsMaxPressure(Integer lungsMaxPressure) {
    this.lungsMaxPressure = lungsMaxPressure;
    return this;
  }

   /**
   * Upper end of lung pressure range. If the pressure is higher than the limit, the inspiration valve turns off after each period passes. Allowed values: 0-1600
   * @return lungsMaxPressure
  **/
  @Schema(description = "Upper end of lung pressure range. If the pressure is higher than the limit, the inspiration valve turns off after each period passes. Allowed values: 0-1600")
  public Integer getLungsMaxPressure() {
    return lungsMaxPressure;
  }

  public void setLungsMaxPressure(Integer lungsMaxPressure) {
    this.lungsMaxPressure = lungsMaxPressure;
  }

  public RuntimeParameters lungsCriticalPressure(Integer lungsCriticalPressure) {
    this.lungsCriticalPressure = lungsCriticalPressure;
    return this;
  }

   /**
   * Warning level for pressure in the lungs. Allowed values: 0-1600
   * @return lungsCriticalPressure
  **/
  @Schema(description = "Warning level for pressure in the lungs. Allowed values: 0-1600")
  public Integer getLungsCriticalPressure() {
    return lungsCriticalPressure;
  }

  public void setLungsCriticalPressure(Integer lungsCriticalPressure) {
    this.lungsCriticalPressure = lungsCriticalPressure;
  }

  public RuntimeParameters operationsMode(String operationsMode) {
    this.operationsMode = operationsMode;
    return this;
  }

   /**
   * Operational Mode, one of \&quot;pressure\&quot;, \&quot;time\&quot;, \&quot;interactive\&quot;. 
   * @return operationsMode
  **/
  @Schema(description = "Operational Mode, one of \"pressure\", \"time\", \"interactive\". ")
  public String getOperationsMode() {
    return operationsMode;
  }

  public void setOperationsMode(String operationsMode) {
    this.operationsMode = operationsMode;
  }

  public RuntimeParameters inspirationTimePercent(Integer inspirationTimePercent) {
    this.inspirationTimePercent = inspirationTimePercent;
    return this;
  }

   /**
   * percentage of time that inspiration takes relative to the length of the  breathing period. Range: 25-75
   * @return inspirationTimePercent
  **/
  @Schema(description = "percentage of time that inspiration takes relative to the length of the  breathing period. Range: 25-75")
  public Integer getInspirationTimePercent() {
    return inspirationTimePercent;
  }

  public void setInspirationTimePercent(Integer inspirationTimePercent) {
    this.inspirationTimePercent = inspirationTimePercent;
  }

  public RuntimeParameters expirationTimePercent(Integer expirationTimePercent) {
    this.expirationTimePercent = expirationTimePercent;
    return this;
  }

   /**
   * percentage of time that expiration takes relative to the length of the  breathing period. Allowed range: 25-75
   * @return expirationTimePercent
  **/
  @Schema(description = "percentage of time that expiration takes relative to the length of the  breathing period. Allowed range: 25-75")
  public Integer getExpirationTimePercent() {
    return expirationTimePercent;
  }

  public void setExpirationTimePercent(Integer expirationTimePercent) {
    this.expirationTimePercent = expirationTimePercent;
  }

  public RuntimeParameters pressureUnit(String pressureUnit) {
    this.pressureUnit = pressureUnit;
    return this;
  }

   /**
   * One of \&quot;mpsi\&quot;, \&quot;pa\&quot;, \&quot;cmh2o\&quot;, \&quot;mmhg\&quot;, \&quot;mbar\&quot;
   * @return pressureUnit
  **/
  @Schema(description = "One of \"mpsi\", \"pa\", \"cmh2o\", \"mmhg\", \"mbar\"")
  public String getPressureUnit() {
    return pressureUnit;
  }

  public void setPressureUnit(String pressureUnit) {
    this.pressureUnit = pressureUnit;
  }

  public RuntimeParameters temperatureUnit(String temperatureUnit) {
    this.temperatureUnit = temperatureUnit;
    return this;
  }

   /**
   * One of \&quot;celsius\&quot;, \&quot;farenheit\&quot;
   * @return temperatureUnit
  **/
  @Schema(description = "One of \"celsius\", \"farenheit\"")
  public String getTemperatureUnit() {
    return temperatureUnit;
  }

  public void setTemperatureUnit(String temperatureUnit) {
    this.temperatureUnit = temperatureUnit;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    RuntimeParameters runtimeParameters = (RuntimeParameters) o;
    return Objects.equals(this.oxygenPercent, runtimeParameters.oxygenPercent) &&
        Objects.equals(this.respirationsPerMinute, runtimeParameters.respirationsPerMinute) &&
        Objects.equals(this.tankMaxPressure, runtimeParameters.tankMaxPressure) &&
        Objects.equals(this.tankMinPressure, runtimeParameters.tankMinPressure) &&
        Objects.equals(this.lungsMinPressure, runtimeParameters.lungsMinPressure) &&
        Objects.equals(this.lungsMaxPressure, runtimeParameters.lungsMaxPressure) &&
        Objects.equals(this.lungsCriticalPressure, runtimeParameters.lungsCriticalPressure) &&
        Objects.equals(this.operationsMode, runtimeParameters.operationsMode) &&
        Objects.equals(this.inspirationTimePercent, runtimeParameters.inspirationTimePercent) &&
        Objects.equals(this.expirationTimePercent, runtimeParameters.expirationTimePercent) &&
        Objects.equals(this.pressureUnit, runtimeParameters.pressureUnit) &&
        Objects.equals(this.temperatureUnit, runtimeParameters.temperatureUnit);
  }

  @Override
  public int hashCode() {
    return Objects.hash(oxygenPercent, respirationsPerMinute, tankMaxPressure, tankMinPressure, lungsMinPressure, lungsMaxPressure, lungsCriticalPressure, operationsMode, inspirationTimePercent, expirationTimePercent, pressureUnit, temperatureUnit);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class RuntimeParameters {\n");
    
    sb.append("    oxygenPercent: ").append(toIndentedString(oxygenPercent)).append("\n");
    sb.append("    respirationsPerMinute: ").append(toIndentedString(respirationsPerMinute)).append("\n");
    sb.append("    tankMaxPressure: ").append(toIndentedString(tankMaxPressure)).append("\n");
    sb.append("    tankMinPressure: ").append(toIndentedString(tankMinPressure)).append("\n");
    sb.append("    lungsMinPressure: ").append(toIndentedString(lungsMinPressure)).append("\n");
    sb.append("    lungsMaxPressure: ").append(toIndentedString(lungsMaxPressure)).append("\n");
    sb.append("    lungsCriticalPressure: ").append(toIndentedString(lungsCriticalPressure)).append("\n");
    sb.append("    operationsMode: ").append(toIndentedString(operationsMode)).append("\n");
    sb.append("    inspirationTimePercent: ").append(toIndentedString(inspirationTimePercent)).append("\n");
    sb.append("    expirationTimePercent: ").append(toIndentedString(expirationTimePercent)).append("\n");
    sb.append("    pressureUnit: ").append(toIndentedString(pressureUnit)).append("\n");
    sb.append("    temperatureUnit: ").append(toIndentedString(temperatureUnit)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
